Page MenuHomePhabricator

libvyosconfig parser doesn't work when config lacks a version comment and ends at a leaf node
Closed, ResolvedPublicBUG

Description

This is a problem in conf mode, e.g. when "show system" ends with "timezone UTC".

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0
Why the issue appeared?
Implementation mistake

Event Timeline

dmbaturin changed the task status from Open to Needs testing.Mar 17 2019, 8:58 PM
pasik added a subscriber: pasik.Mar 23 2019, 9:20 PM
dmbaturin closed this task as Resolved.Mar 26 2019, 12:38 AM
dmbaturin claimed this task.
dmbaturin changed Why the issue appeared? from Will be filled on close to Implementation mistake.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 6 2019, 4:54 PM